#ifndef __GARGOYLE_H_
#define __GARGOYLE_H_

#include <stdint.h>

const uint8_t GARGOYLE_TYPE_UINT = 1 << 0;
const uint8_t GARGOYLE_TYPE_BOOL = 1 << 1;
const uint8_t GARGOYLE_TYPE_FILE = 1 << 2;
const uint8_t GARGOYLE_TYPE_ROPE = 1 << 3;
const uint8_t GARGOYLE_TYPE_DBLE = 1 << 4;

struct gargoyle_opt {
  const char *brand;
  uint16_t length;
  const char emblem;
  void *value;
  uint8_t type;
};

uint8_t gargoyle_digest(struct gargoyle_opt *args, uint16_t *argc, const char ***argv);

#endif
