#include <gargoyle.h>

uint8_t gargoyle_digest(struct gargoyle_opt *args, uint16_t *argc, const char ***argv) {
  uint8_t parsing = 1;

  while(parsing) {
    const char *arg = **argv;

    if(!arg || *arg != '-' || !*(arg + 1)) {
      parsing = 0;
      break;      
    } else if(*arg == '-' && *(arg + 1) == '-' && !*(arg + 2)) {
      *argc -= 1;
      *argv += 1;
      parsing = 0;
      break;
    }

    *argc -= 1;
    *argv += 1;
  }

  return parsing;
}
